﻿using Newtonsoft.Json.Linq;
using StudentManager.Interface;
using System.Net.Http;
using System.Windows.Threading;


namespace StudentManager.Common
{

	public class Timer
	{
		private DispatcherTimer _timer;
		private Action _onMinuteChanged;
		private int _lastMinute;

		public Timer(Action onMinuteChanged)
		{
			_onMinuteChanged = onMinuteChanged;
			_timer = new DispatcherTimer();
			_timer.Interval = TimeSpan.FromSeconds(1);
			_timer.Tick += Timer_Tick;
			_timer.Start();
			_lastMinute = DateTime.Now.Minute;
		}

		private void Timer_Tick(object sender, EventArgs e)
		{
			var now = DateTime.Now;
			if (now.Minute != _lastMinute)
			{
				_onMinuteChanged?.Invoke();
				_lastMinute = now.Minute;
			}
		}
	}
}
