﻿using StudentManager.Common;
using StudentManager.Data;
using StudentManager.Extensions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace StudentManager.Editor
{
	public partial class MainEditor : Window
	{
		private readonly IEventAggregator eventAggregator;

		public MainEditor(IEventAggregator aggregator)
		{
			InitializeComponent();
			this.eventAggregator = eventAggregator;

			aggregator.ResgiterMessage(arg =>
			{
				SnackBar.MessageQueue.Enqueue(arg);
			});

			Bar.MouseMove += (s, e) =>
			{
				if(e.LeftButton == MouseButtonState.Pressed)
					this.DragMove();
			};

			Bar.MouseDoubleClick += (s, e) =>
			{
				if (this.WindowState == WindowState.Normal)
					this.WindowState = WindowState.Maximized;
				else
					this.WindowState = WindowState.Normal;
			};

		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			var c = MessageBox.Show("确定退出吗？", "确认", MessageBoxButton.OKCancel);
			if (c != MessageBoxResult.OK) return;
			FileSystem.Instance.SaveAll();
			this.Close();
		}
	}
}
